## r-cran-pbmcapply 1.3.1

=== DESCRIPTION ===
Package: pbmcapply
Type: Package
Title: Tracking the Progress of Mc*pply with Progress Bar
Version: 1.3.1
Author: Kevin Kuang (aut), Francesco Napolitano (ctb)
Maintainer: Kevin kuang <kvn.kuang@mail.utoronto.ca>
Description: A light-weight package helps you track and visualize
  the progress of parallel version of vectorized R functions (mc*apply).
  Parallelization (mc.core > 1) works only on *nix (Linux, Unix such as macOS) system due to
  the lack of fork() functionality, which is essential for mc*apply, on Windows.
Depends: utils, parallel, future
BugReports: https://github.com/kvnkuang/pbmcapply/issues
URL: https://github.com/kvnkuang/pbmcapply
License: MIT + file LICENSE
LazyData: TRUE
NeedsCompilation: no
Packaged: 2018-12-26 01:11:41 UTC; kevinkuang
Repository: CRAN
Date/Publication: 2019-01-14 15:40:03 UTC

## r-cran-pbmcapply 1.2.4

=== debian/changelog ===
r-cran-pbmcapply (1.2.4-1) unstable; urgency=medium

  * Initial release (closes: #893848)

 -- Andreas Tille <tille@debian.org>  Fri, 23 Mar 2018 10:42:51 +0100

=== debian/control ===
Source: r-cran-pbmcapply
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev,
               r-cran-future
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-pbmcapply
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-pbmcapply.git
Homepage: https://cran.r-project.org/package=pbmcapply

Package: r-cran-pbmcapply
Architecture: all
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R tracking the progress of Mc*pply with progress bar
 This light-weight GNU R package helps you track and visualize the
 progress of parallel version of vectorized R functions (mc*apply).
 Parallelization (mc.core > 1) works only on *nix systems providing
 the fork() functionality.

## r-cran-pbmcapply 1.2.5

=== debian/changelog ===
r-cran-pbmcapply (1.2.5-2) unstable; urgency=medium

  * Rebuild for R 3.5 transition

 -- Andreas Tille <tille@debian.org>  Sun, 03 Jun 2018 09:09:08 +0200

r-cran-pbmcapply (1.2.5-1) unstable; urgency=medium

  * New upstream version
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * dh-update-R to update Build-Depends

 -- Andreas Tille <tille@debian.org>  Tue, 22 May 2018 09:08:51 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: r-cran-pbmcapply
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
@@ -8,7 +8,7 @@
                dh-r,
                r-base-dev,
                r-cran-future
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-pbmcapply
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-pbmcapply.git
 Homepage: https://cran.r-project.org/package=pbmcapply
@@ -16,7 +16,6 @@
 Package: r-cran-pbmcapply
 Architecture: all
 Depends: ${R:Depends},
-         ${shlibs:Depends},
          ${misc:Depends}
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}

## r-cran-pbmcapply 1.3.1

=== debian/changelog ===
r-cran-pbmcapply (1.3.1-1) unstable; urgency=medium

  * New upstream version
  * debhelper 12
  * Standards-Version: 4.3.0

 -- Andreas Tille <tille@debian.org>  Thu, 17 Jan 2019 10:53:06 +0100

r-cran-pbmcapply (1.3.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.2.1

 -- Andreas Tille <tille@debian.org>  Mon, 03 Dec 2018 11:23:58 +0100

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12~),
                dh-r,
                r-base-dev,
                r-cran-future
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-pbmcapply
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-pbmcapply.git
 Homepage: https://cran.r-project.org/package=pbmcapply

## r-cran-pbmcapply 1.5.0

=== DESCRIPTION ===
Package: pbmcapply
Type: Package
Title: Tracking the Progress of Mc*pply with Progress Bar
Version: 1.5.0
Author: Kevin Kuang (aut), Quyu Kong (ctb), Francesco Napolitano (ctb)
Maintainer: Kevin kuang <kvn.kuang@mail.utoronto.ca>
Description: A light-weight package helps you track and visualize
  the progress of parallel version of vectorized R functions (mc*apply).
  Parallelization (mc.core > 1) works only on *nix (Linux, Unix such as macOS) system due to
  the lack of fork() functionality, which is essential for mc*apply, on Windows.
Depends: utils, parallel
BugReports: https://github.com/kvnkuang/pbmcapply/issues
URL: https://github.com/kvnkuang/pbmcapply
License: MIT + file LICENSE
LazyData: TRUE
RoxygenNote: 6.1.1
Encoding: UTF-8
NeedsCompilation: yes
Packaged: 2019-07-10 20:29:50 UTC; kevin
Repository: CRAN
Date/Publication: 2019-07-10 21:05:08 UTC

=== debian/changelog ===
r-cran-pbmcapply (1.5.0-2) unstable; urgency=medium

  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Fri, 04 Sep 2020 12:52:59 +0200

r-cran-pbmcapply (1.5.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.4.0
  * Architecture: any

 -- Andreas Tille <tille@debian.org>  Fri, 12 Jul 2019 21:21:11 +0200

=== debian/control ===
--- 
+++ 
@@ -4,18 +4,19 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
-               r-base-dev,
-               r-cran-future
-Standards-Version: 4.3.0
+               r-base-dev
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-pbmcapply
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-pbmcapply.git
 Homepage: https://cran.r-project.org/package=pbmcapply
+Rules-Requires-Root: no
 
 Package: r-cran-pbmcapply
-Architecture: all
+Architecture: any
 Depends: ${R:Depends},
+         ${shlibs:Depends},
          ${misc:Depends}
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}

## r-cran-pbmcapply 1.5.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: pbmcapply
 Type: Package
 Title: Tracking the Progress of Mc*pply with Progress Bar
-Version: 1.5.0
+Version: 1.5.1
 Author: Kevin Kuang (aut), Quyu Kong (ctb), Francesco Napolitano (ctb)
 Maintainer: Kevin kuang <kvn.kuang@mail.utoronto.ca>
 Description: A light-weight package helps you track and visualize
@@ -12,10 +12,9 @@
 BugReports: https://github.com/kvnkuang/pbmcapply/issues
 URL: https://github.com/kvnkuang/pbmcapply
 License: MIT + file LICENSE
-LazyData: TRUE
 RoxygenNote: 6.1.1
 Encoding: UTF-8
 NeedsCompilation: yes
-Packaged: 2019-07-10 20:29:50 UTC; kevin
+Packaged: 2022-04-28 14:02:46 UTC; kevinkuang
 Repository: CRAN
-Date/Publication: 2019-07-10 21:05:08 UTC
+Date/Publication: 2022-04-28 14:50:02 UTC

=== debian/changelog ===
r-cran-pbmcapply (1.5.1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 18 May 2022 10:43:04 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: r-cran-pbmcapply
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-pbmcapply
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-pbmcapply.git
+Homepage: https://cran.r-project.org/package=pbmcapply
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.5.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-pbmcapply
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-pbmcapply.git
-Homepage: https://cran.r-project.org/package=pbmcapply
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-pbmcapply
 Architecture: any

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/pbmcapply_([-\d.]*)\.tar\.gz
